﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using MonitoringCenter.DataAccess;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

namespace MonitoringCenter.DataAccess.Migrations
{
    [DbContext(typeof(MonitoringCenterDbContext))]
    partial class MonitoringCenterDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.SerialColumn)
                .HasAnnotation("ProductVersion", "2.1.0-rtm-30799")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            modelBuilder.Entity("MonitoringCenter.Domain.Measurement", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<double>("AtmospherePressure");

                    b.Property<double>("HumidityPercent");

                    b.Property<double>("TemperatureInCelsius");

                    b.HasKey("Id");

                    b.ToTable("Measurements");

                    b.HasData(
                        new { Id = 1L, AtmospherePressure = 741.0, HumidityPercent = 85.3, TemperatureInCelsius = 22.1 },
                        new { Id = 2L, AtmospherePressure = 745.0, HumidityPercent = 79.4, TemperatureInCelsius = 20.0 },
                        new { Id = 3L, AtmospherePressure = 740.0, HumidityPercent = 77.1, TemperatureInCelsius = 21.9 }
                    );
                });
#pragma warning restore 612, 618
        }
    }
}
